Subject: bug#66636: Move lexical-binding warning from checkdoc to byte-compiler

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Oct 2023 10:12:25 -0400

>> The warning about a missing lexical-binding cookie rather belongs in the
>> compiler than checkdoc, because it's not about documentation or style but
>> code generation and ability to detect errors, both which are hindered by
>> a missing cookie.
>>
>> Moving the warning to the compiler also makes it more widely seen.

I think it's a great idea.  I hadn't noticed this warning in checkdoc,
else I would have probably suggested the same.

The patch looks good too (and the resulting simplicity, to me, is a good
hint that it's a better place to put this warning).

        Stefan